ATA_DEV_SET_FEATURE(9)

NAME
ata_dev_set_feature - Issue SET FEATURES - SATA FEATURES

SYNOPSIS

unsigned int ata_dev_set_feature(struct ata_device * dev, u8 enable, u8 feature);

ARGUMENTS

dev
    Device to which command will be sent

enable
    Whether to enable or disable the feature

feature
    The sector count represents the feature to set

DESCRIPTION

Issue SET FEATURES - SATA FEATURES command to device dev on port ap with sector count

LOCKING

PCI/etc. bus probe sem.

RETURNS

0 on success, AC_ERR_* mask otherwise.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT